## ke-recv 3.19-17.2+thumb0

=== docs/Makefile ===
all: mmc-states.png usb-host-states.png

mmc-states.png: mmc-states.dot
	dot -Tpng -Gmclimit=10.0 -Gnslimit=10.0 -o mmc-states.png < mmc-states.dot

usb-host-states.png: usb-host-states.dot
	dot -Tpng -Gmclimit=10.0 -Gnslimit=10.0 -o usb-host-states.png < usb-host-states.dot

## ke-recv 3.19-11+0m5

=== debian/changelog ===
ke-recv (3.19-11+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika yrjola <ext-mika.2.yrjola@nokia.com>  Wed, 16 Sep 2009 17:31:53 +0300

ke-recv (3.19-11) unstable; urgency=low

  Felipe:
  * Don't remove kernel module after USB cable is disconnected.
  * Fixes: NB#138089 - AppCert-USB-Enumeration test fails in PCSuite mode
  * Fixes: NB#135068 - AppCert-USB-Chapter9 tests are failing in full speed

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 15 Sep 2009 15:59:51 +0300

ke-recv (3.19-10) unstable; urgency=low

  * Fixes NB#137197 - Not able to enable Mass storage when no other
    applications are running

  Alban Crequy:
  * Fixes: NB#138145 - ke-recv listens on D-Bus too broadly

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 11 Sep 2009 15:59:16 +0300

ke-recv (3.19-9) unstable; urgency=low

  * Add usb_phonet_mode flag file for fixing NB#134836.
  * modprobe g_nokia if usb_phonet_mode exists.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 28 Aug 2009 15:23:53 +0300

ke-recv (3.19-8) unstable; urgency=low

  * Do not require the external card to have a partition in order to format
    it.
  * Fixes: NB#135087 - Memory card cannot be formatted

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 28 Aug 2009 13:53:38 +0300

ke-recv (3.19-7) unstable; urgency=low

  Patch from Mox Soini to support '/home/user/.config/user-dirs.dirs':
  * Fixes: NB#130327 - ke-recv needs to support global safe folders

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 27 Aug 2009 14:42:49 +0300

ke-recv (3.19-6) unstable; urgency=low

  * Make sure logger is not called without command line arguments.
  * Fixes: NB#134327 - Hot swap is not working

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 21 Aug 2009 13:43:30 +0300

ke-recv (3.19-5) unstable; urgency=low

  * Fixes: NB#123352 - AppCert-USB-Modem query doesn't work after PC reboot

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon,  3 Aug 2009 10:39:09 +0300

ke-recv (3.19-4) unstable; urgency=low

  * Keep g_file_storage loaded by default instead of g_nokia.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 31 Jul 2009 15:34:41 +0300

ke-recv (3.19-3) unstable; urgency=low

  * Changes to support the new partition layout.
  * Fixes: NB#128388 - vfat should sit at the first partition

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 29 Jul 2009 10:57:40 +0300

ke-recv (3.19-2fixes) unstable; urgency=low

  * Fixes: NB#127339 - AppCert-ke-recv doesn't export card if the partition
    format isn't recognized
  * Fixes: NB#122833 - dosfsck should be removed from device mount

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 23 Jul 2009 10:35:29 +0300

ke-recv (3.19-1) unstable; urgency=low

  * Fixes: NB#119586 - Unsafe signal handler in ke-recv
  * Not showing the "mounted as read-only" infonote since it is now shown by
    hulda.
  * Fix a number of Coverity findings.
  * Fixes: NB#112723 - Unable to select mass storage in a scenario

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 Jun 2009 17:25:51 +0300

ke-recv (3.18-1) unstable; urgency=low

  * Don't check is_mounted before unmounting to speed up and simplify.
  * Handle event (e.g. E_CLOSED) properly even if whole_device is not known
    yet.
  * Fixes: NB#119012 - Memory card doesn't shows up in File Manager once back
    cover is removed and put back again

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 01 Jun 2009 16:38:26 +0300

ke-recv (3.17-1) unstable; urgency=low

  * Do not log bogus error 'MP is not writable' in the external card mounting
    case.
  * Do not lose mount point info when card was mounted read-only.
  * Start tracking hildon-desktop readiness again, using the flag file and
    D-Bus signal. Also initialisation of memory cards is postponed until
    hildon-desktop is running.
  * Fix problem with detecting the storage for external card. HAL's device
    hierarchy is different at times (sometimes mmc_host is parent of storage,
    sometimes grandparent). Partial fix to NB#115433 (remaining part is HAL's)

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 14 May 2009 10:34:58 +0300

ke-recv (3.16-1) unstable; urgency=low

  * Set the cover open GConf key on E_INIT_CARD.
  * Fixes: NB#112647 - Wrong info banner displayed when Mass stoirage mode
    connected while no external mmc card pressent and internal mmc in use.
  * Fixes: NB#113332 - obexd should be sent SIGHUP and not SIGTERM when USB
    tty release is desired

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 04 May 2009 17:40:14 +0300

ke-recv (3.15-1) unstable; urgency=low

  * Fixes: NB#111920 - Do not mount volumes when the cover is closed, but wait
    for the volume added event.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 21 Apr 2009 10:47:56 +0300

ke-recv (3.14-1) unstable; urgency=low

  * Added dependencies to various l10n packages whose translations are used.
  * Removed a number of unused l10n strings.
  * Fix USB sharing failure messages to match the new UI specification.
  * Disable swap on/off functions.
  * Remove "-s 128" format option because Lokesh's card failed to format with
    it.
  * Fixes: NB#112053 - Formatting mmc throws no banner and actually doesnt
    format anything.
  * Fix a small typo in osso-mmc-mount.sh partition type checking code.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 20 Apr 2009 12:38:07 +0300

ke-recv (3.13-1) unstable; urgency=low

  * Fixes: NB#110491 - BAT: Memory card formatting does not take place.
  * Added a run of lsof and logging in case unmounting fails.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 20 Apr 2009 11:12:00 +0300

ke-recv (3.12-1) unstable; urgency=low

  * Added more FAT partition types as supported types to the mount script.
  * Fixes: NB#109543 - ke-recv regards FAT16 as unsupported format


=== debian/control ===
Source: ke-recv
Section: base
Priority: optional
Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libosso-dev, libglib2.0-dev, pkg-config, osso-af-settings, libhildon1-dev, libxml-parser-perl, libgconf2-dev, libosso-gnomevfs2-dev, libhal-dev, libhildonmime-dev, upstart-dev
Standards-Version: 3.6.0

Package: ke-recv
Architecture: any
Depends: ${shlibs:Depends}, ke-recv-l10n-mr | ke-recv-l10n-mr0, hildon-fm-l10n-mr | hildon-fm-l10n-mr0, osso-filemanager-l10n-mr | osso-filemanager-l10n-mr0, hildon-status-bar-usb-l10n-mr | hildon-status-bar-usb-l10n-mr0, gconf2, osso-af-startup (>= 1.22), hal, dosfstools (>> 3.0.1-1maemo2), mtools
Description: Program for automatical mounting and unmounting of memory cards.
 Program for receiving HW events from the HAL, managing mounting, renaming,
 formatting, and partitioning of memory cards, etc.

## ke-recv 3.19-13+0m5

=== debian/changelog ===
ke-recv (3.19-13+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Goel Lokesh Kumar <ext-lokesh.k.goel@nokia.com>  Wed, 25 Nov 2009 23:04:43 +0200

ke-recv (3.19-13) unstable; urgency=low

  * Remount cards in case we are in S_PERIPHERAL_WAIT and the cable is
    disconnected, because we could have a partially enabled mass storage mode.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 24 Nov 2009 13:03:32 +0200

ke-recv (3.19-12) unstable; urgency=low

  David Kedves:
  * Fixes: NB#146099 - Not displaying the "Connected to USB device" dialog
    when USB is inserted and mounts the device/mmc memory by default

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 16 Nov 2009 11:22:41 +0200

## ke-recv 3.19-17.1

=== debian/changelog ===
ke-recv (3.19-17.1) unstable; urgency=low

  * Add support for specifing which partition should be mounted to /media/mmc1
    Use gconf int key /system/osso/mmc-preferred-volume

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 28 Dec 2013 20:46:27 +0100

ke-recv (3.19-17) unstable; urgency=low

  * Rewrite support for multiple partitions on SD card, always mount first MBR partition to /media/mmc1
  * Export only first partition from SD card via USB when swap on SD card is active
  * Print error messages to syslog, not to stdout
  * Use direct fsck and not fsck.$type
  * Down usb0 interface and delete ip address in pcsuite-disable.sh
  * Fix starting builtin dnsmasq dhcp server from pcsuite-enable.sh
  * Fix loading g_nokia driver in pcsuite-enable.sh
  * Fix support for usbnetwork
      When NAT is disabled do not send gateway and DNS server addresses via DHCP
      Remove option USBNETWORK_DNS which is useless now

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 17 Oct 2013 17:39:10 +0200

ke-recv (3.19-16) unstable; urgency=low

  * Use new options from /etc/default/mount-opts
  * Remove overwritng filesystem type in script osso-mmc-mount.sh based on ID from MBR table
  * Fix partition order in script fremantle-format-internal-memory-card.sh
  * Do not export card via usb if is in use (mounted or swap)
  * Fix support for upstream kernel:
      Driver g_file_storage was replaced by g_mass_storage
      g_mass_storage needs array of values in param removable
      lun paths are in /sys/devices/platform/musb-omap2430/musb-hdrc.0.auto/gadget

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 07 May 2013 20:14:22 +0200

ke-recv (3.19-15.7) unstable; urgency=low

  * Added support to start only DHCP or DNS server for usbnetwork on n900 side
  * Do not launch osso file manager when USB device is mounted

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 08 Dec 2012 11:40:30 +0100

ke-recv (3.19-15.6) unstable; urgency=low

  * Fixed install path for /etc/default/usbnetwork

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Mon, 12 Nov 2012 22:17:33 +0100

ke-recv (3.19-15.5) unstable; urgency=low

  * Added configuration to automatically launch usb networking in pc-suite mode
    see /etc/default/usbnetwork

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Mon, 12 Nov 2012 21:50:31 +0100

ke-recv (3.19-15.4) unstable; urgency=low

  * Do not use cache file for blkid

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 16 Aug 2012 11:09:34 +0200

ke-recv (3.19-15.3) unstable; urgency=low

  * Added hook to ignore partitions per user file
  * mmc-mount: When filesystem is empty use blkid for detection. Added needed mount arguments for ntfs
  * Automatically enable USB network in PC Suite mode

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 04 Aug 2012 20:13:30 +0200

ke-recv (3.19-15.2) unstable; urgency=low

  * Move desired_label into volume structure
    Fix possible buffer overlow for labels in strncpy
    Use linked list of volumes instead hal for renaming and formating mmc
    Correctly handle volume names containing spaces

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 14 Apr 2012 14:50:43 +0300

ke-recv (3.19-15.1) unstable; urgency=low

  * use dosfstools for partition renaming

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 12 Apr 2012 12:15:34 +0300

ke-recv (3.19-15) unstable; urgency=low

  * Rebuild with higher version due to debhelper upsart problem

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Sat,  7 Apr 2012 21:30:43 +0200

ke-recv (3.19-14) unstable; urgency=low

  * Added support for more MMC card partitions and other filesystems
  * Mount all partitions on external card when starting up
  * Mount all partitions after stopped USB Mass Storage mode
  * Fixed mountpoint of partitions, now paritions are correctly 
    unmounted when started USB Mass Storage mode
  * Mount one mmc FAT partition to its default mount point
  * Fixed unmounting USB storage devices
  * Use libvolume_id instead of osso-update-mmc-label.sh for volume names
    Applied patch from https://bugs.maemo.org/8904

 -- Pali Rohar <pali.rohar@gmail.com>  Sat, 10 Mar 2012 21:43:51 +0200

=== debian/control ===
Source: ke-recv
Section: base
Priority: optional
Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libosso-dev, libglib2.0-dev, pkg-config, osso-af-settings, libhildon1-dev, libxml-parser-perl, libgconf2-dev, libosso-gnomevfs2-dev, libhal-dev, libhildonmime-dev, upstart-dev, libvolume-id-dev, automake1.7
Standards-Version: 3.6.0

Package: ke-recv
Architecture: any
Depends: ${shlibs:Depends}, ke-recv-l10n-mr | ke-recv-l10n-mr0, hildon-fm-l10n-mr | hildon-fm-l10n-mr0, osso-filemanager-l10n-mr | osso-filemanager-l10n-mr0, hildon-status-bar-usb-l10n-mr | hildon-status-bar-usb-l10n-mr0, gconf2, osso-af-startup (>= 1.22), hal, dosfstools (>= 3.0.12-0cssu0), mtools, system-services (>= 0.3.8-68+0cssu5)
Description: Program for automatical mounting and unmounting of memory cards.
 Program for receiving HW events from the HAL, managing mounting, renaming,
 formatting, and partitioning of memory cards, etc.

## ke-recv 3.19-17.2+thumb0

=== debian/changelog ===
ke-recv (3.19-17.2+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 10 Oct 2015 11:38:14 +0300

ke-recv (3.19-17.2) unstable; urgency=low

  * mmc-mount: Fix script for fat partitions

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 06 Jan 2015 00:32:59 +0100

ke-recv (3.19-17.1+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 29 Dec 2014 18:06:12 +0200

ke-recv (3.19-15.7+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 25 Dec 2012 12:53:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,10 @@
 
 Package: ke-recv
 Architecture: any
-Depends: ${shlibs:Depends}, ke-recv-l10n-mr | ke-recv-l10n-mr0, hildon-fm-l10n-mr | hildon-fm-l10n-mr0, osso-filemanager-l10n-mr | osso-filemanager-l10n-mr0, hildon-status-bar-usb-l10n-mr | hildon-status-bar-usb-l10n-mr0, gconf2, osso-af-startup (>= 1.22), hal, dosfstools (>= 3.0.12-0cssu0), mtools, system-services (>= 0.3.8-68+0cssu5)
+Depends: ${shlibs:Depends}, ke-recv-l10n-mr | ke-recv-l10n-mr0, hildon-fm-l10n-mr | hildon-fm-l10n-mr0,
+ osso-filemanager-l10n-mr | osso-filemanager-l10n-mr0, hildon-status-bar-usb-l10n-mr | hildon-status-bar-usb-l10n-mr0,
+ gconf2, osso-af-startup (>= 1.22), hal, dosfstools (>= 3.0.12-0cssu0), mtools, system-services (>= 0.3.8-68+0cssu5),
+ kernel-feature-errata-430973-workaround[armel]
 Description: Program for automatical mounting and unmounting of memory cards.
  Program for receiving HW events from the HAL, managing mounting, renaming,
  formatting, and partitioning of memory cards, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -DOSSOLOG_COMPILE -Wall -g \
         -Wmissing-prototypes -Wcast-align
# -pedantic-errors -std=c99

# Use soft-float and thumb mode if it is enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

CPPFLAGS = -DBONOBO_DISABLE_DEPRECATED \
           -DBONOBO_UI_DISABLE_DEPRECATED \
	   -DEEL_DISABLE_DEPRECATED \
	   -DGCONF_DISABLE_DEPRECATED \
	   -DG_DISABLE_DEPRECATED \
	   -DGDK_DISABLE_DEPRECATED \
	   -DGNOME_DISABLE_DEPRECATED \
	   -DGNOME_VFS_DISABLE_DEPRECATED \
	   -DGTK_DISABLE_DEPRECATED \
	   -DLIBGLADE_DISABLE_DEPRECATED

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	./autogen.sh
	dh_testdir
	# Add here commands to configure the package.
	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/osso-app-killer.sgml > osso-app-killer.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ke-recv.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# hack the ke-recv package to work
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ke-recv
	rm -rf $(CURDIR)/debian/ke-recv/usr/share/locale

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -u 'start 30 2 3 4 . stop 30 0 1 5 6 .'
	dh_installupstart --init-script=ke-recv
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ke-recv 3.19-18.1

=== debian/changelog ===
ke-recv (3.19-18.1) unstable; urgency=low

  * Fix ke-recv init.d script, make sure that usb_phonet_mode is removed

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 30 Oct 2017 23:21:25 +0100

ke-recv (3.19-18) unstable; urgency=low

  * Code for disabling usb network is now only at one place (in pcsuite-disable.sh)
  * Add support for configuration when g_nokia is compiled into kernel image
  * Add support for mass storage mode provided by g_nokia module
  * osso-usb-mass-storage-enable.sh: Do not crash if called without argument
  * Add new mode S_PCSUITE_MASS_STORAGE in which both PC Suite and Mass Storage is enabled

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 09 Jan 2016 16:39:35 +0100

ke-recv (3.19-17.3) unstable; urgency=low

  * Fix musb path for upstream kernel again

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 04 Jan 2016 16:41:33 +0100
